%define upstream_name    Test-Reporter
%define upstream_version 1.62

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Sends test results to cpan-testers@perl.org
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FileHandle)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::Local)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Test::Reporter reports the test results of any given distribution to the
CPAN Testers project. Test::Reporter has wide support for various perl5's
and platforms.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.620.0-6.mga9
+ Revision: 1806207
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.620.0-5.mga8
+ Revision: 1497465
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.620.0-4.mga7
+ Revision: 1271994
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.620.0-3.mga6
+ Revision: 1034598
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.620.0-2.mga6
+ Revision: 967633
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.620.0-1.mga6
+ Revision: 849916
- update to 1.62

* Sun Oct 19 2014 umeabot <umeabot> 1.600.0-4.mga5
+ Revision: 789050
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.600.0-3.mga5
+ Revision: 747950
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.600.0-2.mga5
+ Revision: 686526
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 1.600.0-1.mga5
+ Revision: 585568
- update to 1.60

* Sat Oct 19 2013 umeabot <umeabot> 1.590.0-2.mga4
+ Revision: 527382
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.590.0-1.mga4
+ Revision: 439980
- update to 1.59

* Sun Jan 13 2013 umeabot <umeabot> 1.580.0-2.mga3
+ Revision: 373743
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 1.58

* Sun Jan 23 2011 jquelin <jquelin> 1.570.0-1.mga1
+ Revision: 34267
- mageia rebuild
- imported package perl-Test-Reporter


* Fri Dec 24 2010 Shlomi Fish <shlomif@mandriva.org> 1.570.0-1mdv2011.0
+ Revision: 624631
- import perl-Test-Reporter

